package de.ivu.elect.presentation.ergebnis.dokumente.gesamtergebnis;

import de.ivu.elect.business.gebietsbaum.boundary.GebietsartTemplate;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamicform.AbstractBooleanProperty;

public class GebietsartAuswahlProperty extends AbstractBooleanProperty {

  private final GebietsartTemplate gebietsartTemplate;

  private final Messages messages;

  private Boolean value = false;

  public GebietsartAuswahlProperty(GebietsartTemplate gebietsartTemplate, Messages messages) {
    this.gebietsartTemplate = gebietsartTemplate;
    this.messages = messages;
  }

  @Override
  public Boolean getValue() {
    return value;
  }

  @Override
  public void setValue(Boolean aBoolean) {
    this.value = aBoolean;

  }

  @Override
  public String getDefaultLabel() {
    // ELECT-4058
    String titel = gebietsartTemplate.getGebietsartTitle();
    return messages.getMessageForMessageKey("gesamtergebnis.dokument.details.gebietsart", titel);
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }
}
